GET /API/v2/Terminals/TerminalNotices/GetList?portCode=!{portCode}&terminalCode=!{terminalCode}&importance=!{importance}&onlyCurrent=!{onlyCurrent}&startAt=!{startAt}&endAt=!{endAt}
検索条件に該当するターミナルからのお知らせを取得します。 検索条件に該当するターミナルからのお知らせを全て取得します。 ターミナルからのお知らせに関する詳細については、[ターミナルからのお知らせについて]()を参照ください。
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| portCode | 港コード |
String, Null |
Max length: 5 |
| terminalCode | ターミナルコード |
String, Null |
Max length: 8 |
| importance | 重要度 |
String, Null |
Max length: 9 |
| onlyCurrent | 表示中のみ |
Boolean, Null |
None. |
| startAt | 表示期間(from) |
String, Null |
Format : date-time |
| endAt | 表示期間(To) |
String, Null |
Format : date-time |
Body Parameters
None.
Response Information
Resource Description
| Name | Description | Type | Additional information |
|---|---|---|---|
| terminalNoticeId | ターミナルからのお知らせID |
String |
Required Max length: 36 |
| terminal |
Required |
||
| importance | 重要度 |
String |
Required Max length: 9 |
| startAt | 表示期間(from) |
String |
Required Format : date-time |
| endAt | 表示期間(To) |
String, Null |
Format : date-time |
| title | お知らせのタイトル |
String |
Required |
| content | お知らせの内容 |
String |
Required |
| attachFiles | 添付ファイル(メタ情報) |
Collection, Null of attachFiles |
None. |
| updatedBy |
Object, Null |
None. |
|
| updatedAt | 更新日時 |
String, Null |
Format : date-time |